const blocks = (extFacePanels) => ([{
        "opcode": "BLOCK_1653576003808",
        "blockType": "string",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "ICON": {
                "type": "image",
                "width": 28,
                "height": 26,
                "src": window.MbApi.getExtResPath('infared_ir_best_codes_arduino_remote/imgs/4bbeff1d82e84e69a2a0aeade047ac7c.jpeg', 'infared_ir_best_codes_arduino_remote')
            },
            "PORT": {
                "type": "number",
                "defaultValue": 2
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `getKey()`,
                "sections": {
                    "include": [
                        "\"src/IRremoteExt.h\""
                    ],
                    "declare": `int getKey(){\n   handleIRremote();\n    unsigned long value = getPressedIRremote();\n    if( value != 0xffffffff){\n \n     //Serial.println(value,HEX);\n      return value;\n    } \n    return -1;\n    \n}`,
                    "setup": `beginIRremote(/*{{this.PORT === 'None' ? 0 : this.PORT}}*/);`
                }
            }
        },
        "handler": this.funcs.BLOCK_1653576003808
    },
    {
        "opcode": "BLOCK_1653588721838",
        "blockType": "boolean",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "IMAGE": {
                "type": "image",
                "width": 28,
                "height": 26,
                "src": window.MbApi.getExtResPath('infared_ir_best_codes_arduino_remote/imgs/e0db0831db1148d382d3e2de78db451b.jpeg', 'infared_ir_best_codes_arduino_remote')
            },
            "pin": {
                "type": "number",
                "defaultValue": 2
            },
            "remtype": {
                "type": "fieldMenu",
                "defaultValue": "RC5",
                "menu": "BLOCK_1653588721838_REMTYPE"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `gettype()`,
                "sections": {
                    "include": [
                        "\"src/IRremoteExt.h\""
                    ],
                    "declare": `int gettype(){\nString IR_type=\"UNKNOWN\";\n    String typelist[14]={\"UNKNOWN\", \"NEC\", \"SONY\", \"RC5\", \"RC6\", \"DISH\", \"SHARP\", \"PANASONIC\", \"JVC\", \"SANYO\", \"MITSUBISHI\", \"SAMSUNG\", \"LG\", \"WHYNTER\"};\n    if(results_/*{remtype}*/.decode_type>=1&&results_/*{remtype}*/.decode_type<=13){\n      IR_type=typelist[results_/*{remtype}*/.decode_type];\n    }\n    return IR_type;`,
                    "setup": `beginIRremote(/*{{this.PORT === 'None' ? 0 : this.PORT}}*/);`
                }
            }
        },
        "handler": this.funcs.BLOCK_1653588721838
    }
]);

export default blocks;